{
    "name": "customer-portal",
    "private": true,
    "version": "0.0.0",
    "type": "module",
    "scripts": {
        "dev": "vite --open",
        "start": "npm run dev",
        "build": "tsc && vite build",
        "preview": "vite preview",
        "format": "prettier --config .prettierrc.cjs src/**/*.{js,css,jsx,ts,tsx} --write",
        "test": "vitest"
    },
    "dependencies": {
        "@fortawesome/free-regular-svg-icons": "^6.2.0",
        "@fortawesome/free-solid-svg-icons": "^6.2.0",
        "@fortawesome/react-fontawesome": "^0.2.0",
        "@hookform/devtools": "^4.3.1",
        "@hookform/resolvers": "^3.1.1",
        "@tanstack/react-query": "^4.16.1",
        "@tanstack/react-query-devtools": "^4.16.1",
        "apexcharts": "^3.36.3",
        "axios": "^1.1.3",
        "bootstrap": "^5.2.2",
        "cogo-toast": "^4.2.3",
        "crypto-js": "^4.1.1",
        "dayjs": "^1.11.9",
        "deepdash-es": "^5.3.9",
        "framer-motion": "^7.6.4",
        "geolib": "^3.3.3",
        "immer": "^9.0.21",
        "lodash": "^4.17.21",
        "moment": "^2.29.4",
        "react": "^18.2.0",
        "react-apexcharts": "^1.4.0",
        "react-bootstrap": "^2.5.0",
        "react-bootstrap-table-next": "^4.0.3",
        "react-dom": "^18.2.0",
        "react-dropzone": "^14.2.3",
        "react-hook-form": "^7.45.2",
        "react-router-dom": "^6.4.3",
        "react-select": "^5.6.0",
        "react-tiny-virtual-list": "^2.2.0",
        "use-immer": "^0.8.1",
        "usehooks-ts": "^2.9.1",
        "zod": "^3.21.4",
        "zustand": "^4.2.0"
    },
    "devDependencies": {
        "@testing-library/jest-dom": "^5.16.5",
        "@testing-library/react": "^13.4.0",
        "@types/crypto-js": "^4.1.1",
        "@types/lodash": "^4.14.189",
        "@types/react": "^18.0.22",
        "@types/react-bootstrap-table-next": "^4.0.18",
        "@types/react-dom": "^18.0.7",
        "@typescript-eslint/eslint-plugin": "^5.42.0",
        "@typescript-eslint/parser": "^5.42.0",
        "@vitejs/plugin-react": "^2.2.0",
        "eslint": "^8.2.0",
        "eslint-config-airbnb": "^19.0.4",
        "eslint-config-airbnb-typescript": "^17.0.0",
        "eslint-config-prettier": "8.5.0",
        "eslint-plugin-import": "^2.25.3",
        "eslint-plugin-jsx-a11y": "^6.5.1",
        "eslint-plugin-prettier": "4.2.1",
        "eslint-plugin-react": "^7.28.0",
        "eslint-plugin-react-hooks": "^4.3.0",
        "jsdom": "^20.0.2",
        "prettier": "2.7.1",
        "typescript": "^4.6.4",
        "vite": "^3.2.0",
        "vitest": "^0.24.5"
    }
}
